Bug 44301 - ntp missing step-tickers and drift files.
ntp missing step-tickers and drift files.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ntp (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-12 11:00 EDT by Dan Yocum
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-12 11:00:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Yocum 2001-06-12 11:00:54 EDT
Description of Problem:

/etc/ntp/step-tickers and /etc/ntp/drift files do not exist in ntp RPM
package, but are listed in files list.  

How Reproducible:

On i386, at least.  Probably on alpha as well.

Steps to Reproduce:
1. Install ntp RPM package 
2. rpm -V ntp
3. there is no step 3.  ;-)

Actual Results:

[root@diamond i386]# rpm -V ntp
missing    /etc/ntp/drift
missing    /etc/ntp/step-tickers



Expected Results:

[root@diamond i386]# rpm -V ntp
<blank>

Additional Information:
	
step-tickers is (much to my chagrin) an executable.  Executables should
*not* go anywhere under /etc per the rules of, uh... that document that
defines where files should go in Linux... the LFS?  Something like that. 
Anyway, it should go under /usr/sbin.

the drift file is an empty file that, none-the-less, needs to exist for ntp
to function correctly.  You could put something that touches this in the
%postinstall section of the rpm.
 
Cheers,
Dan
Comment 1 Harald Hoyer 2001-06-18 08:46:07 EDT
With the step-tickers, you are right.
# rpm -i ntp-4.0.99j-7.i386.rpm
# rpm -V ntp && echo OK
missing    /etc/ntp/step-tickers

Soon there will be:
# rpm -i ntp-4.0.99mrc2-1.i386.rpm
# rpm -V ntp  && echo OK
OK

Note You need to log in before you can comment on or make changes to this bug.